Bug 163866 - New Port: security/tsshbatch
Summary: New Port: security/tsshbatch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-06 15:10 UTC by tsshbatch
Modified: 2012-02-15 22:50 UTC (History)
0 users

See Also:


Attachments
tsshbatch.1.patch.txt (2.07 KB, text/plain; charset=us-ascii)
2012-01-11 19:07 UTC, Jason Helfman
no flags Details
tsshbatch.shar.txt (2.71 KB, text/plain; charset=us-ascii)
2012-01-11 19:07 UTC, Jason Helfman
no flags Details
shar.txt (2.63 KB, text/plain; charset=us-ascii)
2012-01-17 17:41 UTC, Jason Helfman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description tsshbatch 2012-01-06 15:10:08 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	tsshbatch
#	tsshbatch/pkg-descr
#	tsshbatch/distinfo
#	tsshbatch/Makefile
#
echo c - tsshbatch
mkdir -p tsshbatch > /dev/null 2>&1
echo x - tsshbatch/pkg-descr
sed 's/^X//' >tsshbatch/pkg-descr << 'd1120311eb3308e6c1f81ff333ae6e17'
X'tsshbatch' is a tool to enable you to issue a command to many
Xservers without having to log into each one separately.  When writing
Xscripts, this overcomes the 'ssh' limitation of not being able to
Xspecify the password on the command line.
X
X'tsshbatch' also understands basic 'sudo' syntax and can be used
Xto access a server, 'sudo' a command, and then exit.
X
X'tsshbatch' thus allows you to write complex, hands-off scripts that
Xissue commands to many servers without the tedium of manual login and
X'sudo' promotion.  System administrators, especially, will find this
Xhelpful when working in large server farms.
X
X
X
XWWW:	http://www.tundraware.com/Software/tsshbatch
d1120311eb3308e6c1f81ff333ae6e17
echo x - tsshbatch/distinfo
sed 's/^X//' >tsshbatch/distinfo << '30082889124ad42b410a5d4e5cb3e691'
XSHA256 (tsshbatch-1.134.tar.gz) = 2fcbfe4de7d266cb4bd50aeba755d0878d21743bfc897f2376981477a2314203
XSIZE (tsshbatch-1.134.tar.gz) = 209662
30082889124ad42b410a5d4e5cb3e691
echo x - tsshbatch/Makefile
sed 's/^X//' >tsshbatch/Makefile << '31db8c5b7061244626a7ee85e121e5e1'
X# New ports collection makefile for: tsshbatch
X# Date created:        06 January 2012
X# Whom: Tim Daneliuk <tsshbatch@tundraware.com>
X#
X# $FreeBSD: ports/sysutils/tsshbatch/Makefile,v 1.2 2010/11/18 04:12:15 sunpoet Exp $
X#
X
XPORTNAME=	    tsshbatch
XPORTVERSION=	1.134
XCATEGORIES=	    sysutils python
XMASTER_SITES=	http://www.tundraware.com/Software/tsshbatch/
X
XMAINTAINER=	    tsshbatch@tundraware.com
XCOMMENT=	    Batch ssh Operations
X
XUSE_PYTHON=	    yes
X
XMAN1=		    tsshbatch.1
XMANCOMPRESSED=	yes
X
XPLIST_FILES=	bin/tsshbatch.py
XPORTDOCS=	    WHATSNEW.txt tsshbatch-license.txt tsshbatch.html tsshbatch.pdf tsshbatch.ps tsshbatch.rst
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${DOCSDIR}/
X	cd ${WRKSRC}/ && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}/
X.endif
X
X.include <bsd.port.mk>
31db8c5b7061244626a7ee85e121e5e1
exit

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	tsshbatch
#	tsshbatch/pkg-descr
#	tsshbatch/distinfo
#	tsshbatch/Makefile
#
echo c - tsshbatch
mkdir -p tsshbatch > /dev/null 2>&1
echo x - tsshbatch/pkg-descr
sed 's/^X//' >tsshbatch/pkg-descr << 'd1120311eb3308e6c1f81ff333ae6e17'
X'tsshbatch' is a tool to enable you to issue a command to many
Xservers without having to log into each one separately.  When writing
Xscripts, this overcomes the 'ssh' limitation of not being able to
Xspecify the password on the command line.
X
X'tsshbatch' also understands basic 'sudo' syntax and can be used
Xto access a server, 'sudo' a command, and then exit.
X
X'tsshbatch' thus allows you to write complex, hands-off scripts that
Xissue commands to many servers without the tedium of manual login and
X'sudo' promotion.  System administrators, especially, will find this
Xhelpful when working in large server farms.
X
X
X
XWWW:	http://www.tundraware.com/Software/tsshbatch
d1120311eb3308e6c1f81ff333ae6e17
echo x - tsshbatch/distinfo
sed 's/^X//' >tsshbatch/distinfo << '30082889124ad42b410a5d4e5cb3e691'
XSHA256 (tsshbatch-1.134.tar.gz) = 2fcbfe4de7d266cb4bd50aeba755d0878d21743bfc897f2376981477a2314203
XSIZE (tsshbatch-1.134.tar.gz) = 209662
30082889124ad42b410a5d4e5cb3e691
echo x - tsshbatch/Makefile
sed 's/^X//' >tsshbatch/Makefile << '31db8c5b7061244626a7ee85e121e5e1'
X# New ports collection makefile for: tsshbatch
X# Date created:        06 January 2012
X# Whom: Tim Daneliuk <tsshbatch@tundraware.com>
X#
X# $FreeBSD: ports/sysutils/tsshbatch/Makefile,v 1.2 2010/11/18 04:12:15 sunpoet Exp $
X#
X
XPORTNAME=	    tsshbatch
XPORTVERSION=	1.134
XCATEGORIES=	    sysutils python
XMASTER_SITES=	http://www.tundraware.com/Software/tsshbatch/
X
XMAINTAINER=	    tsshbatch@tundraware.com
XCOMMENT=	    Batch ssh Operations
X
XUSE_PYTHON=	    yes
X
XMAN1=		    tsshbatch.1
XMANCOMPRESSED=	yes
X
XPLIST_FILES=	bin/tsshbatch.py
XPORTDOCS=	    WHATSNEW.txt tsshbatch-license.txt tsshbatch.html tsshbatch.pdf tsshbatch.ps tsshbatch.rst
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${DOCSDIR}/
X	cd ${WRKSRC}/ && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}/
X.endif
X
X.include <bsd.port.mk>
31db8c5b7061244626a7ee85e121e5e1
exit
Comment 1 Edwin Groothuis freebsd_committer 2012-01-06 15:10:17 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 tundra 2012-01-06 18:32:45 UTC
Ooooops -

I just realized that I did not scrub the CVS ID out of the makefile.  It
makes reference to sysutils/  which is wrong for this port.
-- 
----------------------------------------------------------------------------
Tim Daneliuk     tundra@tundraware.com
PGP Key:         http://www.tundraware.com/PGP/
Comment 3 Jason Helfman freebsd_committer 2012-01-06 19:29:27 UTC
Thank you for your contribution, but I did have one question regarding your
submission.
Is there anything different with this utility compared to security/mussh?

Thanks!

-jgh

--
Jason Helfman         | FreeBSD Committer
jgh@FreeBSD.org       | http://people.freebsd.org/~jgh
Comment 4 Jason Helfman freebsd_committer 2012-01-07 07:16:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take this
Comment 5 tundra 2012-01-08 20:17:17 UTC
On 01/06/2012 09:10 AM, FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/163866'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=163866
>
>> Category:       ports
>> Responsible:    freebsd-ports-bugs
>> Synopsis:       New Port: security/tsshbatch
>> Arrival-Date:   Fri Jan 06 15:10:08 UTC 2012


Here is an updated shar file that should be used instead of the one
originally submitted:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	tsshbatch
#	tsshbatch/pkg-descr
#	tsshbatch/distinfo
#	tsshbatch/Makefile
#
echo c - tsshbatch
mkdir -p tsshbatch > /dev/null 2>&1
echo x - tsshbatch/pkg-descr
sed 's/^X//' >tsshbatch/pkg-descr << 'd1120311eb3308e6c1f81ff333ae6e17'
X'tsshbatch' is a tool to enable you to issue a command to many
Xservers without having to log into each one separately.  When writing
Xscripts, this overcomes the 'ssh' limitation of not being able to
Xspecify the password on the command line.
X
X'tsshbatch' also understands basic 'sudo' syntax and can be used
Xto access a server, 'sudo' a command, and then exit.
X
X'tsshbatch' thus allows you to write complex, hands-off scripts that
Xissue commands to many servers without the tedium of manual login and
X'sudo' promotion.  System administrators, especially, will find this
Xhelpful when working in large server farms.
X
X
X
XWWW:	http://www.tundraware.com/Software/tsshbatch
d1120311eb3308e6c1f81ff333ae6e17
echo x - tsshbatch/distinfo
sed 's/^X//' >tsshbatch/distinfo << '30082889124ad42b410a5d4e5cb3e691'
XSHA256 (tsshbatch-1.134.tar.gz) = 2fcbfe4de7d266cb4bd50aeba755d0878d21743bfc897f2376981477a2314203
XSIZE (tsshbatch-1.134.tar.gz) = 209662
30082889124ad42b410a5d4e5cb3e691
echo x - tsshbatch/Makefile
sed 's/^X//' >tsshbatch/Makefile << '31db8c5b7061244626a7ee85e121e5e1'
X# New ports collection makefile for: tsshbatch
X# Date created:        06 January 2012
X# Whom: Tim Daneliuk <tsshbatch@tundraware.com>
X#
X#
X
XPORTNAME=	    tsshbatch
XPORTVERSION=	1.134
XCATEGORIES=	    security python
XMASTER_SITES=	http://www.tundraware.com/Software/tsshbatch/
X
XMAINTAINER=	    tsshbatch@tundraware.com
XCOMMENT=	    Batch ssh Operations
X
XUSE_PYTHON=	    yes
X
XMAN1=		    tsshbatch.1
XMANCOMPRESSED=	yes
X
XPLIST_FILES=	bin/tsshbatch.py
XPORTDOCS=	    WHATSNEW.txt tsshbatch-license.txt tsshbatch.html tsshbatch.pdf tsshbatch.ps tsshbatch.rst
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${DOCSDIR}/
X	cd ${WRKSRC}/ && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}/
X.endif
X
X.include <bsd.port.mk>
31db8c5b7061244626a7ee85e121e5e1
exit




-- 
----------------------------------------------------------------------------
Tim Daneliuk     tundra@tundraware.com
PGP Key:         http://www.tundraware.com/PGP/
Comment 6 Jason Helfman freebsd_committer 2012-01-11 19:07:42 UTC
I have an updated shar for your review, and can you please look at running
your man page through a spell check utility.

I fixed the dependencies for FreeBSD, and added in your license through the
license infrastructure handled by ports. I noticed that you added a location
in your man page for the where the license is installed. Please consider
updating the location to:
/usr/local/share/licenses/tsshbatch-1.134/tsshbatch


Please let me know what you think.

Many thanks!
-jgh

-- 
Jason Helfman         | FreeBSD Committer
jgh@FreeBSD.org       | http://people.freebsd.org/~jgh
Comment 7 tundra 2012-01-17 15:10:21 UTC
Per your comments, I've updated the documentation, fixing the typos
and also adding some new material.  I don't want to move the license
file at this time.  Having to change locations every time there is
a version update seems clumsy to me.  Also, I checked, and nothing
else seems to be using the location you suggest, at least on my
production environment.   A new shar output follows:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	tsshbatch
#	tsshbatch/pkg-descr
#	tsshbatch/distinfo
#	tsshbatch/Makefile
#
echo c - tsshbatch
mkdir -p tsshbatch > /dev/null 2>&1
echo x - tsshbatch/pkg-descr
sed 's/^X//' >tsshbatch/pkg-descr << 'd1120311eb3308e6c1f81ff333ae6e17'
X'tsshbatch' is a tool to enable you to issue a command to many
Xservers without having to log into each one separately.  When writing
Xscripts, this overcomes the 'ssh' limitation of not being able to
Xspecify the password on the command line.
X
X'tsshbatch' also understands basic 'sudo' syntax and can be used
Xto access a server, 'sudo' a command, and then exit.
X
X'tsshbatch' thus allows you to write complex, hands-off scripts that
Xissue commands to many servers without the tedium of manual login and
X'sudo' promotion.  System administrators, especially, will find this
Xhelpful when working in large server farms.
X
X
X
XWWW:	http://www.tundraware.com/Software/tsshbatch
d1120311eb3308e6c1f81ff333ae6e17
echo x - tsshbatch/distinfo
sed 's/^X//' >tsshbatch/distinfo << '30082889124ad42b410a5d4e5cb3e691'
XSHA256 (tsshbatch-1.134.tar.gz) = 564e1fa4a4446d19d0c1169e6d961f74e8427b5eeb61ef89f3a7362635234e5d
XSIZE (tsshbatch-1.134.tar.gz) = 211833
30082889124ad42b410a5d4e5cb3e691
echo x - tsshbatch/Makefile
sed 's/^X//' >tsshbatch/Makefile << '31db8c5b7061244626a7ee85e121e5e1'
X# New ports collection makefile for: tsshbatch
X# Date created:        06 January 2012
X# Whom: Tim Daneliuk <tsshbatch@tundraware.com>
X#
X#
X
XPORTNAME=	    tsshbatch
XPORTVERSION=	1.134
XCATEGORIES=	    security python
XMASTER_SITES=	http://www.tundraware.com/Software/tsshbatch/
X
XMAINTAINER=	    tsshbatch@tundraware.com
XCOMMENT=	    Batch ssh Operations
X
XUSE_PYTHON=	    yes
X
XMAN1=		    tsshbatch.1
XMANCOMPRESSED=	yes
X
XPLIST_FILES=	bin/tsshbatch.py
XPORTDOCS=	    WHATSNEW.txt tsshbatch-license.txt tsshbatch.html tsshbatch.pdf tsshbatch.ps tsshbatch.rst
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${DOCSDIR}/
X	cd ${WRKSRC}/ && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}/
X.endif
X
X.include <bsd.port.mk>
31db8c5b7061244626a7ee85e121e5e1
exit
Comment 8 Jason Helfman freebsd_committer 2012-01-17 17:41:31 UTC
On Tue, Jan 17, 2012 at 03:20:13PM +0000, Tim Daneliuk thus spake:
>From: Tim Daneliuk <tundra@tundraware.com>
>To: bug-followup@FreeBSD.org, tsshbatch@tundraware.com
>Date: Tue, 17 Jan 2012 09:10:21 -0600
>
> Per your comments, I've updated the documentation, fixing the typos
> and also adding some new material.  I don't want to move the license
> file at this time.  Having to change locations every time there is
> a version update seems clumsy to me.  Also, I checked, and nothing
> else seems to be using the location you suggest, at least on my
> production environment.   A new shar output follows:

Thank you for the updates, however I have modified the port slightly, so it
will actually run when it is installed, and that was dropped from your
update. If it is required to install the license for your port, it will then
need to use the LICENSE framework for ports. It is understandable that it
isn't installed anywhere on your systems, if you didn't install it with the
port using the LICENSE framework. Please see the attached updated shar.

Thanks
-jgh

-- 
Jason Helfman         | FreeBSD Committer
jgh@FreeBSD.org       | http://people.freebsd.org/~jgh
Comment 9 Jason Helfman freebsd_committer 2012-01-17 17:43:15 UTC
State Changed
From-To: open->feedback

awaiting feedback from maintainer
Comment 10 tundra 2012-02-15 16:31:52 UTC
OK, go ahead with the changes as you've proposed.
-- 


-----------------------------------------------------------------------
Tim Daneliuk
Comment 11 dfilter service freebsd_committer 2012-02-15 22:42:22 UTC
jgh         2012-02-15 22:42:08 UTC

  FreeBSD ports repository

  Modified files:
    security             Makefile 
  Added files:
    security/tsshbatch   Makefile distinfo pkg-descr 
  Log:
  Add new port (security/tsshbatch)
  
  'tsshbatch' is a tool to enable you to issue a command to many
  servers without having to log into each one separately. When writing
  scripts, this overcomes the 'ssh' limitation of not being able to
  specify the password on the command line.
  
  'tsshbatch' also understands basic 'sudo' syntax and can be used
  to access a server, 'sudo' a command, and then exit.
  
  'tsshbatch' thus allows you to write complex, hands-off scripts that
  issue commands to many servers without the tedium of manual login and
  'sudo' promotion. System administrators, especially, will find this
  helpful when working in large server farms.
  
  WWW: http://www.tundraware.com/Software/tsshbatch
  
  PR:     ports/163866
  Submitted by:   Tim Daneliuk, tsshbatch at tundraware.com
  
  Revision  Changes    Path
  1.1250    +1 -0      ports/security/Makefile
  1.1       +47 -0     ports/security/tsshbatch/Makefile (new)
  1.1       +2 -0      ports/security/tsshbatch/distinfo (new)
  1.1       +14 -0     ports/security/tsshbatch/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Jason Helfman freebsd_committer 2012-02-15 22:42:32 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!